classification
Title: Multiprocessing Pool workers initiated with maxtasksperchild do not execute when sharing logging
Type: behavior Stage: resolved
Components: Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Soumyadipta Das, iritkatriel, pitrou, vinay.sajip, xtreak
Priority: normal Keywords:

Created on 2018-04-26 15:25 by Soumyadipta Das, last changed 2021-06-18 17:00 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
bugdemo.py Soumyadipta Das, 2018-04-26 15:25
Messages (2)
msg315804 - (view) Author: Soumyadipta Das (Soumyadipta Das) * Date: 2018-04-26 15:25
When Multiprocessing Pool is initiated with maxtasksperchild and is sharing logging with the root process some workers do not execute. This  is only on Python 2.7 and not on Python 3. Also bug is present only on linux and not on windows.
msg396075 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-06-18 17:00
Closing as this is a Python 2.7-only issue and 2.7 is no longer maintained.
History
Date User Action Args
2021-06-18 17:00:00iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg396075

resolution: out of date
stage: resolved
2018-09-17 06:26:26xtreaksetnosy: + xtreak
2018-09-16 13:56:16Soumyadipta Dassetnosy: + vinay.sajip
2018-09-16 13:55:00Soumyadipta Dassetnosy: + pitrou
2018-04-26 15:25:51Soumyadipta Dascreate